Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060520 - Review Request: qm-vamp-plugins - Vamp audio feature extraction plugin
Summary: Review Request: qm-vamp-plugins - Vamp audio feature extraction plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Milata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1060519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-02 10:25 UTC by František Dvořák
Modified: 2014-11-25 20:10 UTC (History)
3 users (show)

Fixed In Version: qm-vamp-plugins-1.7-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:13:18 UTC
mmilata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-02-02 10:25:00 UTC
Spec URL: http://scientific.zcu.cz/fedora/qm-vamp-plugins-1.7-1/qm-vamp-plugins.spec
SRPM URL: http://scientific.zcu.cz/fedora/qm-vamp-plugins-1.7-1/qm-vamp-plugins-1.7-1.fc21.src.rpm
Description: qm-vamp-plugins are vamp audio feature extraction plugins from the Centre for Digital Music at Queen Mary, University of London, http://www.elec.qmul.ac.uk/digitalmusic/. This plugin set includes note onset detector, beat and barline tracker, tempo estimator, key estimator, tonal change detector, structural segmenter, timbral and rhythmic similarity, wavelet scaleogram, adaptive spectrogram, note transcription, chromagram, constant-Q spectrogram, and MFCC plugins.
Fedora Account System Username: valtri

Packaging of qm-dsp and qm-vamp-plugins is motivated by bringing automatic tempo and beat detection to mixxx (https://bugzilla.rpmfusion.org/show_bug.cgi?id=3019). But Queen Mary Vamp plugins can do a lot more.

Comment 1 Martin Milata 2014-10-19 12:07:04 UTC
Only found one issue: [1] says that "Packages which explicitly need to link against the static version must BuildRequire: foo-static, so that the usage can be tracked.", however qm-vamp-plugins buildrequire qm-dsp-devel. I guess the spec should be more explicit about linking against static libraries and require qm-dsp-static instead.

Otherwise looks good and when mixxx is run with VAMP_PATH=/usr/lib64/vamp/ the options "Tempo and Beat Tracker" appears in the list of beat analysers. I guess this means that the package functions as described:)

[1] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Packaging_Static_Libraries_2

Comment 2 František Dvořák 2014-10-25 16:29:48 UTC
New version:

Spec URL: http://scientific.zcu.cz/fedora/qm-vamp-plugins-1.7-2/qm-vamp-plugins.spec
SRPM URL: http://scientific.zcu.cz/fedora/qm-vamp-plugins-1.7-2/qm-vamp-plugins-1.7-2.fc22.src.rpm

* Sat Oct 25 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-2
- Replace qm-dsp-devel for qm-dsp-static BR

> 
> Otherwise looks good and when mixxx is run with VAMP_PATH=/usr/lib64/vamp/
> the options "Tempo and Beat Tracker" appears in the list of beat analysers.
> I guess this means that the package functions as described:)
> 

Wow, so mixxx doesn't even to be recompiled to see the plugin work. :-)

Comment 3 Martin Milata 2014-10-30 14:39:46 UTC
I'm happy with the spec now, proposing ACCEPT.

Thank you for the package! Are you planning to work with the mixxx maintainer to enable the plugins by default?

Comment 4 František Dvořák 2014-11-01 14:29:10 UTC
Thanks for the reviews!

There exists a bugreport for BPM analyzer in mixx: https://bugzilla.rpmfusion.org/show_bug.cgi?id=3019, so the work can continue there.

Comment 5 František Dvořák 2014-11-01 14:31:37 UTC
New Package SCM Request
=======================
Package Name: qm-vamp-plugins
Short Description: Vamp audio feature extraction plugin
Upstream URL: http://isophonics.net/QMVampPlugins
Owners: valtri
Branches: f20 f21 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-11-03 13:40:19 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-11-05 15:58:11 UTC
qm-vamp-plugins-1.7-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qm-vamp-plugins-1.7-2.fc21

Comment 8 Fedora Update System 2014-11-05 15:59:36 UTC
qm-vamp-plugins-1.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qm-vamp-plugins-1.7-2.fc20

Comment 9 Fedora Update System 2014-11-05 16:04:29 UTC
qm-vamp-plugins-1.7-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/qm-vamp-plugins-1.7-2.el7

Comment 10 Fedora Update System 2014-11-05 16:06:22 UTC
qm-vamp-plugins-1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qm-vamp-plugins-1.7-2.el6

Comment 11 Fedora Update System 2014-11-05 19:25:11 UTC
qm-vamp-plugins-1.7-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2014-11-10 06:13:18 UTC
qm-vamp-plugins-1.7-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-11-19 15:56:51 UTC
qm-vamp-plugins-1.7-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-11-25 20:09:22 UTC
qm-vamp-plugins-1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2014-11-25 20:10:29 UTC
qm-vamp-plugins-1.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.